<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=gb2312\"/>\r\n<link rel=\"stylesheet\" type=\"text/css\" href=\"";
echo $vd['sc'];
echo "css/main.css\"/>\r\n</head>\r\n<body>\r\n<form method=\"post\" action=\"index.php?m=mod_b2b&c=Price&a=PriceTplSave\" >\r\n<div id=\"content\" class=\"cwarpper\" style=\"position:relative\">\r\n<div class=\"cbodyHead\"></div>\r\n<div id=\"tab\">\r\n<input type=\"button\" value=\"多级别价格模板\"  onclick=\"loadDisp(1);window.location.href='?m=mod_b2b&c=price&a=PriceTpl'\" class=\"tab_active\" onFocus=\"this.blur()\"/>\r\n<input type=\"button\" value";
echo "=\"单级别价格模板\" onclick=\"loadDisp(1);window.location.href='?m=mod_b2b&c=price&a=RankTpl'\" class=\"tab_normal\" onFocus=\"this.blur()\"/>\r\n</div>\r\n<div class=\"cwarpper1\" style=\"border-top:1px #ccc solid\">\r\n<div class=\"ctitle\">价格相关说明</div>\r\n<div>\r\n<table border=\"1\" id=\"ctable1\" class=\"ctable\" bordercolor=\"#86B9D6\">\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">价格使用</td>\r\n ";
echo "   <td class=\"tablert\" style=\"line-height:25px;white-space:normal\">系统会自动按照下边的模板计算用户对应的价格，无需您再单独为商品定价</td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">价格优先级</td>\r\n    <td class=\"tablert\" style=\"line-height:25px;white-space:normal\">密价 > 上家设价(如果直属系统，上家就是系统) > 上家模板价格 > 系统模板价格 <a id=\"nodisp\" href=\"#detai";
echo "l\">详细请查看下边的备注</a></td>\r\n  </tr>\r\n</table>\r\n</div>\r\n</div>\r\n<div class=\"cwarpper1\">\r\n<div class=\"ctitle\">系统默认标准模板设置</div>\r\n";
if ( 0 < count( $vd['items'] ) )
{
				echo "<div>\r\n<table border=\"1\" id=\"ctable1\" class=\"ctable\" bordercolor=\"#86B9D6\">\r\n  ";
				foreach ( $vd['items'] as $item )
				{
								echo "  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">";
								echo $item['name'];
								echo "</td>\r\n    <td class=\"tablert\" style=\"font-size:12px;\">\r\n      <input name=\"id[]\" type=\"hidden\" value=\"";
								echo $item['id'];
								echo "\"/>\r\n      ";
								echo "<s";
								echo "elect name=\"priceplan_";
								echo $item['id'];
								echo "\" style=\"font-size:12px;vertical-align:middle\" onchange=\"set(this, ";
								echo $item['id'];
								echo ")\">\r\n        <option value=\"1\"";
								if ( $item['priceplan'] == 1 )
								{
												echo " selected";
								}
								echo ">方案一(利润折扣)</option>\r\n        <option value=\"2\"";
								if ( $item['priceplan'] == 2 )
								{
												echo " selected";
								}
								echo ">方案二(直接累加)</option>\r\n        <option value=\"3\"";
								if ( $item['priceplan'] == 3 )
								{
												echo " selected";
								}
								echo ">方案三(面值折扣)</option>\r\n        <option value=\"4\"";
								if ( $item['priceplan'] == 4 )
								{
												echo " selected";
								}
								echo ">方案四(固定折扣)</option>\r\n      </select>\r\n       价格 = \r\n      <input name=\"discout_";
								echo $item['id'];
								echo "\" type=\"text\" size=\"5\" value=\"";
								echo $item['discout'];
								echo "\" class=\"myinput\" style=\"padding-top:2px;height:18px;width:50px;\"/>\r\n       ";
								echo "<s";
								echo "pan id=\"std_";
								echo $item['id'];
								echo "\">";
								echo $item['char'];
								echo " ";
								if ( $item['priceplan'] == 1 )
								{
												echo "x (面值 - 我的进货价) + 我的进货价";
								}
								echo "       ";
								if ( $item['priceplan'] == 2 )
								{
												echo "+ 我的进货价";
								}
								echo "       ";
								if ( $item['priceplan'] == 3 )
								{
												echo "x 面值 + 我的进货价";
								}
								echo "</span>\r\n       ";
								if ( $item['priceplan'] == 4 )
								{
												echo "x 面值";
								}
								echo "</span>\r\n      </td>\r\n  </tr>\r\n  ";
				}
				echo "</table>\r\n</div>\r\n";
}
echo "</div>\r\n<a name=\"detail\"></a>\r\n<div class=\"cwarpper1\">\r\n<div class=\"ctitle\">备注</div>\r\n<div>\r\n<table border=\"1\" id=\"ctable1\" class=\"ctable\" bordercolor=\"#86B9D6\">\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">方案一(利润折扣)</td>\r\n    <td class=\"tablert\" style=\"line-height:25px;white-space:normal;padding-top:10px;padding-bottom:10px\">\r\n    对应级别价格 = 我的进货价 + (面值 - 我的";
echo "进货价) x 比例<br/>\r\n    <font color=\"#ff0000\">此方案主要先计算您可以获得的最大利润，然后计算您从中需要获取的比例，再加上您的进货价就是最终用户的价格</font>\r\n    </td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">方案二(直接累加)</td>\r\n    <td class=\"tablert\" style=\"line-height:25px;white-space:normal;padding-top:10px;padding-bottom:10px\">\r\n    对应级别价格 = 我的进货?;
echo "?+ 比例<br/>\r\n    <font color=\"#ff0000\">此方案好理解一点，比如你希望对应级别都获取0.1";
echo $vd['lang']['moneyunit'];
echo "的利润，最终用户的价格就是进货价加上这个利润即可。缺点是有些商品利润分配不合理，比如Q币按";
echo $vd['lang']['moneyunit'];
echo "充，按0.88进货价，如果加上0.1，那进货价就是0.98了，这种价格有可能就会偏高，如果是10000";
echo $vd['lang']['moneyunit'];
echo "的商品，加上0.1，用户价格就是10000.1，价格有可能就偏低了</font>\r\n    </td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">方案三(面值折扣)</td>\r\n    <td class=\"tablert\" style=\"line-height:25px;white-space:normal;padding-top:10px;padding-bottom:10px\">\r\n    对应级别价格 = 我的进货价 + 面值 x 比例<br/>\r\n    <font color=\"#ff0000\">优点介于方案一和方案二之间。某些利润空间很低?;
echo "纳唐罚赡芑嵩斐杉鄹癫缓侠恚热缫贫?00";
echo $vd['lang']['moneyunit'];
echo "进货价98.8，如果给3%的利润，系统最终计算下来的价格是100";
echo $vd['lang']['moneyunit'];
echo "(98.8 + 100 x 3% = 101.8，由于大于面值，按面值100";
echo $vd['lang']['moneyunit'];
echo "算)，这种比例就不太合适了。但是如果给某款外挂设这个比例，比如外挂20";
echo $vd['lang']['moneyunit'];
echo "卡，进货价15";
echo $vd['lang']['moneyunit'];
echo "，加上3%后，是15.6";
echo $vd['lang']['moneyunit'];
echo "，相对还是较合理</font>\r\n    </td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">方案四(固定折扣)</td>\r\n    <td class=\"tablert\" style=\"line-height:25px;white-space:normal;padding-top:10px;padding-bottom:10px\">\r\n    对应级别价格 = 面值 x 比例<br/>\r\n    <font color=\"#ff0000\">此方案主要用于一些合同价格，比如您跟某位客户达成协议，所有商品都给他百分之多少的折扣，缺点是部分商";
echo "品的进货价相对较高，如移动卡</font>\r\n    </td>\r\n  </tr>\r\n  <tr>\r\n    <td class=\"tablelt\" style=\"font-size:14px;text-align:center\">价格说明</td>\r\n    <td class=\"tablert\" style=\"line-height:25px;white-space:normal;padding-top:10px;padding-bottom:10px\">\r\n    <font color=\"#ff0000\">新的价格方案不需要再单独为商品设定级别价格，也就是说，您添加商品的时候，只需要填写好面值和进货价就可以了，剩下的交给系统自己计算 </";
echo "font><br/>\r\n    同时系统增加了多种价格机制满足您的不同需求：<br/>\r\n    [1] 密价：也就是单独为某一个用户设价，上家可以为自己的直属下家密价，系统可以为自己的直属用户密价<br/>\r\n    [2] 模板定价：模板分成两种，一个是多级别价格模板，另外一个是单级别价格模板。<br/>多级别价格模板只需要把对应的比例和使用方案选择好就可以了。<br/>单级别价格模板需要您在对应的模板中设置商品价格，如果不设置的话，就使用多级别模板的?;
echo "桨咐醇扑慵鄹瘢ゼ侗鹉０逍枰没Х峙浞娇缮?br/><br/>\r\n    前台经销商和系统都可以使用上边的两种机制来设价，前台的经销商设价要优先于后台系统的设价，如果最终用户价格低于他的上家的价格，则他的价格等于他的上家的购买价格，如果发现价格低于商品的进货价，那么价格等于面值<br/>\r\n    <br/>\r\n    优先级顺序如下：首先查看是否有密价，如果没有，则查看上家是否对其使用了单级别模板设价，如果没有，查看上家是否设置多?;
echo "侗鹉０澹绻挥校蚴褂孟低扯嗉侗鹉０寮扑阌没Ъ鄹?br>\r\n    <br/>\r\n    <font color=\"#ff0000\">\r\n      由于点卡的进货价经常发生变化，一般情况下只需要后台的管理员设置好多级别模板即可，也就是先设置好多级别模板，在添加商品的时候写上进货价和面值就可以了\r\n    </font>\r\n    <br/><br/>\r\n    <font color=\"#ff0000\">如果您是外汇用户，添加商品的时候，进货价和面值记得一定要先换算好对应的汇率价格再写入</font>\r\n    </td>\r\n";
echo "  </tr>\r\n</table>\r\n</div>\r\n</div>\r\n\r\n<div class=\"cbodyFoot\"></div>\r\n</div>\r\n<div id=\"opcontent\">\r\n  <div class=\"optxt\">\r\n    <input type=\"hidden\" value=\"pricetpl\" name=\"\$vd['pricetpl']\"/>\r\n    <input type=\"submit\" value=\"确认设置 &gt; &gt;\" class=\"btn\"/>\r\n    <input type=\"reset\" value=\"&lt; &lt; 重置\" class=\"btn\" name=\"reset\" onclick=\"javascript:window.location.reload()\" />\r\n  </div>\r\n</div>\r\n</form>\r\n<div id=\"ti";
echo "tleDiv\">\r\n<div style=\"float:left\"><a href=\"index.php?a=home\"><img src=\"";
echo $vd['sc'];
echo "images/home.png\" style=\"vertical-align:middle\" border=\"0\"/></a></div><div style=\"float:left;padding-top:8px;padding-left:3px;\"><a href=\"index.php?a=home\" title=\"回到后台首页\"><font color=\"#000\">桌面</font></a> ";
echo "<s";
echo "pan style=\"font-size:7px;\">>></span> <font color=\"#000\">商品价格模板设置</font> </div>\r\n<div style=\"float:right;\"><a href=\"index.php\" onFocus=\"this.blur()\" title=\"查看客户相关帮助\"><img src=\"";
echo $vd['sc'];
echo "images/help.gif\" style=\"vertical-align:middle\" border=\"0\"/></a></div>\r\n</div>\r\n<div id=\"contentTip\" style=\"display:none;\"></div>\r\n<div id=\"load\" style=\"display:none;\">\r\n  <div id=\"loadcontent\" >页面加载中请稍等...</div>\r\n</div>\r\n";
echo "<s";
echo "cript type=\"text/javascript\">\r\n  var ctablenum = 2;\r\n</script>\r\n";
echo "<s";
echo "cript src=\"";
echo $vd['sc'];
echo "js/content.js\" type=\"text/javascript\"></script>\r\n";
echo "<s";
echo "cript type=\"text/javascript\">\r\n  function set(obj, idx)\r\n  {\r\n    val = obj.options[obj.selectedIndex].value;\r\n    str = \"\";\r\n    if(val == \"1\")\r\n    {\r\n      str = \"% x (面值 - 我的进货价) + 我的进货价\";\r\n    }\r\n    else if(val == \"2\")\r\n    {\r\n      str = \"";
echo $vd['lang']['moneyunit'];
echo " + 我的进货价\";\r\n    }\r\n    else if(val == \"3\")\r\n    {\r\n      str = \"% x 面值 + 我的进货价\";\r\n    }\r\n    else\r\n    {\r\n      str = \"% x 面值\";\r\n    }\r\n    \r\n    \$(\"std_\"+idx).innerHTML = str;\r\n  }\r\n  \r\n  \$(\"nodisp\").onclick = function(){};\r\n</script>\r\n</body>\r\n</html>\r\n";
?>
